Bug 112356 - LOCALHELP Document the Watermark dialog
Summary: LOCALHELP Document the Watermark dialog
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
5.4.0.3 release
Hardware: All All
: medium normal
Assignee: Olivier Hallot
URL:
Whiteboard: target:6.1.0 target:6.2.0 target:6.1.2
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures
  Show dependency treegraph
 
Reported: 2017-09-12 16:46 UTC by Gabor Kelemen
Modified: 2018-09-19 11:32 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Watermark dialog (15.41 KB, image/png)
2017-09-12 16:46 UTC, Gabor Kelemen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen 2017-09-12 16:46:21 UTC
Created attachment 136207 [details]
Watermark dialog

Since 5.4 we have the Watermark dialog, where we can set a watermark for the document. We don't have local help for it, neither a Help button.

The Text, Font and Color fields are easy to understand, but Angle and Transparency might need a bit of an elaboration, and maybe a few tips about using watermarks in general.
Comment 1 Laurent BP 2017-10-17 18:56:25 UTC
Format > Watermark was introduced in LibO 5.4. Change version accordingly.
Comment 2 Commit Notification 2018-01-25 19:53:34 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=24075745b3865edc1254ce0c445f4b7152092545

tdf#112356 Add help button in watermark dialog

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2018-01-26 11:57:58 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=f15eac158a47aac87d5dc40004899871ebc5739e

tdf#112356 Help page for watermark dialog
Comment 4 Commit Notification 2018-01-26 13:33:32 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=854f87b82b23d5409b4a3f6cea8628324fb238cc

tdf#112356 Watermark help page, better bookmarking
Comment 5 Xisco Faulí 2018-02-26 11:44:48 UTC
A polite ping to Olivier Hallot: is this bug fixed? if so, could you
please close it as RESOLVED FIXED ? Thanks
Comment 6 Commit Notification 2018-03-01 06:24:52 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=1caed840bd723cbf5cee3825ecd5fef908d29886

tdf#112356 (related) Add ahelps to the new Watermark dialog page
Comment 7 Gabor Kelemen 2018-03-13 08:57:41 UTC
I think we are good for now.
Comment 8 Commit Notification 2018-09-19 10:05:35 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fee5b79543de5e35299b1e3576209c77ef64a4d6

tdf#112356 follow-up: Make the Help button work

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2018-09-19 11:32:01 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=01abe2764f1778ad03cf643e799f0f387bd397e8&h=libreoffice-6-1

tdf#112356 follow-up: Make the Help button work

It will be available in 6.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.